| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Initialization
Vector Operations

## Overview

Initialization intrinsics for accumulator and vector types.

The "undef" functions are used to create a vector variable without the compiler giving a "using undefined variable" warning.

    v64int16 buff = undef_v64int16();

## Undefined initialization for 64-bit registers
v2cbfloat16 | undef_v2cbfloat16 ()

## Undefined initialization for 128-bit registers
v32uint4 | undef_v32uint4 ()
v32int4 | undef_v32int4 ()
v16uint8 | undef_v16uint8 ()
v16int8 | undef_v16int8 ()
v8uint16 | undef_v8uint16 ()
v8int16 | undef_v8int16 ()
v4cint16 | undef_v4cint16 ()
v4uint32 | undef_v4uint32 ()
v4int32 | undef_v4int32 ()
v2cint32 | undef_v2cint32 ()
v8bfloat16 | undef_v8bfloat16 ()
v4float | undef_v4float ()
v2cfloat | undef_v2cfloat ()
v4cbfloat16 | undef_v4cbfloat16 ()

## Undefined initialization for 256-bit registers
v64uint4 | undef_v64uint4 ()
v64int4 | undef_v64int4 ()
v32uint8 | undef_v32uint8 ()
v32int8 | undef_v32int8 ()
v16uint16 | undef_v16uint16 ()
v16int16 | undef_v16int16 ()
v8cint16 | undef_v8cint16 ()
v8uint32 | undef_v8uint32 ()
v8int32 | undef_v8int32 ()
v4cint32 | undef_v4cint32 ()
v16bfloat16 | undef_v16bfloat16 ()
v8accfloat | undef_v8accfloat ()
v8float | undef_v8float ()
v8acc32 | undef_v8acc32 ()
v4acc64 | undef_v4acc64 ()
v2cacc64 | undef_v2cacc64 ()
v4caccfloat | undef_v4caccfloat ()
v4cfloat | undef_v4cfloat ()
v8cbfloat16 | undef_v8cbfloat16 ()

## Undefined initialization for 512-bit registers
v128uint4 | undef_v128uint4 ()
v128int4 | undef_v128int4 ()
v64uint8 | undef_v64uint8 ()
v64int8 | undef_v64int8 ()
v32uint16 | undef_v32uint16 ()
v32int16 | undef_v32int16 ()
v16cint16 | undef_v16cint16 ()
v16uint32 | undef_v16uint32 ()
v16int32 | undef_v16int32 ()
v8cint32 | undef_v8cint32 ()
v32bfloat16 | undef_v32bfloat16 ()
v16accfloat | undef_v16accfloat ()
v16float | undef_v16float ()
v16acc32 | undef_v16acc32 ()
v8acc64 | undef_v8acc64 ()
v4cacc64 | undef_v4cacc64 ()
v8caccfloat | undef_v8caccfloat ()
v8cfloat | undef_v8cfloat ()
v16cbfloat16 | undef_v16cbfloat16 ()

## Undefined initialization for 1024-bit registers
v256uint4 | undef_v256uint4 ()
v256int4 | undef_v256int4 ()
v128uint8 | undef_v128uint8 ()
v128int8 | undef_v128int8 ()
v64uint16 | undef_v64uint16 ()
v64int16 | undef_v64int16 ()
v32cint16 | undef_v32cint16 ()
v32uint32 | undef_v32uint32 ()
v32int32 | undef_v32int32 ()
v16cint32 | undef_v16cint32 ()
v64bfloat16 | undef_v64bfloat16 ()
v32accfloat | undef_v32accfloat ()
v32float | undef_v32float ()
v32acc32 | undef_v32acc32 ()
v16acc64 | undef_v16acc64 ()
v8cacc64 | undef_v8cacc64 ()
v16caccfloat | undef_v16caccfloat ()
v16cfloat | undef_v16cfloat ()
v32cbfloat16 | undef_v32cbfloat16 ()

## Function Documentation

## ◆ undef_v128int4()

v128int4 undef_v128int4 | ( |  | ) |

## ◆ undef_v128int8()

v128int8 undef_v128int8 | ( |  | ) |

## ◆ undef_v128uint4()

v128uint4 undef_v128uint4 | ( |  | ) |

## ◆ undef_v128uint8()

v128uint8 undef_v128uint8 | ( |  | ) |

## ◆ undef_v16acc32()

v16acc32 undef_v16acc32 | ( |  | ) |

## ◆ undef_v16acc64()

v16acc64 undef_v16acc64 | ( |  | ) |

## ◆ undef_v16accfloat()

v16accfloat undef_v16accfloat | ( |  | ) |

## ◆ undef_v16bfloat16()

v16bfloat16 undef_v16bfloat16 | ( |  | ) |

## ◆ undef_v16caccfloat()

v16caccfloat undef_v16caccfloat | ( |  | ) |

## ◆ undef_v16cbfloat16()

v16cbfloat16 undef_v16cbfloat16 | ( |  | ) |

## ◆ undef_v16cfloat()

v16cfloat undef_v16cfloat | ( |  | ) |

## ◆ undef_v16cint16()

v16cint16 undef_v16cint16 | ( |  | ) |

## ◆ undef_v16cint32()

v16cint32 undef_v16cint32 | ( |  | ) |

## ◆ undef_v16float()

v16float undef_v16float | ( |  | ) |

## ◆ undef_v16int16()

v16int16 undef_v16int16 | ( |  | ) |

## ◆ undef_v16int32()

v16int32 undef_v16int32 | ( |  | ) |

## ◆ undef_v16int8()

v16int8 undef_v16int8 | ( |  | ) |

## ◆ undef_v16uint16()

v16uint16 undef_v16uint16 | ( |  | ) |

## ◆ undef_v16uint32()

v16uint32 undef_v16uint32 | ( |  | ) |

## ◆ undef_v16uint8()

v16uint8 undef_v16uint8 | ( |  | ) |

## ◆ undef_v256int4()

v256int4 undef_v256int4 | ( |  | ) |

## ◆ undef_v256uint4()

v256uint4 undef_v256uint4 | ( |  | ) |

## ◆ undef_v2cacc64()

v2cacc64 undef_v2cacc64 | ( |  | ) |

## ◆ undef_v2cbfloat16()

v2cbfloat16 undef_v2cbfloat16 | ( |  | ) |

## ◆ undef_v2cfloat()

v2cfloat undef_v2cfloat | ( |  | ) |

## ◆ undef_v2cint32()

v2cint32 undef_v2cint32 | ( |  | ) |

## ◆ undef_v32acc32()

v32acc32 undef_v32acc32 | ( |  | ) |

## ◆ undef_v32accfloat()

v32accfloat undef_v32accfloat | ( |  | ) |

## ◆ undef_v32bfloat16()

v32bfloat16 undef_v32bfloat16 | ( |  | ) |

## ◆ undef_v32cbfloat16()

v32cbfloat16 undef_v32cbfloat16 | ( |  | ) |

## ◆ undef_v32cint16()

v32cint16 undef_v32cint16 | ( |  | ) |

## ◆ undef_v32float()

v32float undef_v32float | ( |  | ) |

## ◆ undef_v32int16()

v32int16 undef_v32int16 | ( |  | ) |

## ◆ undef_v32int32()

v32int32 undef_v32int32 | ( |  | ) |

## ◆ undef_v32int4()

v32int4 undef_v32int4 | ( |  | ) |

## ◆ undef_v32int8()

v32int8 undef_v32int8 | ( |  | ) |

## ◆ undef_v32uint16()

v32uint16 undef_v32uint16 | ( |  | ) |

## ◆ undef_v32uint32()

v32uint32 undef_v32uint32 | ( |  | ) |

## ◆ undef_v32uint4()

v32uint4 undef_v32uint4 | ( |  | ) |

## ◆ undef_v32uint8()

v32uint8 undef_v32uint8 | ( |  | ) |

## ◆ undef_v4acc64()

v4acc64 undef_v4acc64 | ( |  | ) |

## ◆ undef_v4cacc64()

v4cacc64 undef_v4cacc64 | ( |  | ) |

## ◆ undef_v4caccfloat()

v4caccfloat undef_v4caccfloat | ( |  | ) |

## ◆ undef_v4cbfloat16()

v4cbfloat16 undef_v4cbfloat16 | ( |  | ) |

## ◆ undef_v4cfloat()

v4cfloat undef_v4cfloat | ( |  | ) |

## ◆ undef_v4cint16()

v4cint16 undef_v4cint16 | ( |  | ) |

## ◆ undef_v4cint32()

v4cint32 undef_v4cint32 | ( |  | ) |

## ◆ undef_v4float()

v4float undef_v4float | ( |  | ) |

## ◆ undef_v4int32()

v4int32 undef_v4int32 | ( |  | ) |

## ◆ undef_v4uint32()

v4uint32 undef_v4uint32 | ( |  | ) |

## ◆ undef_v64bfloat16()

v64bfloat16 undef_v64bfloat16 | ( |  | ) |

## ◆ undef_v64int16()

v64int16 undef_v64int16 | ( |  | ) |

## ◆ undef_v64int4()

v64int4 undef_v64int4 | ( |  | ) |

## ◆ undef_v64int8()

v64int8 undef_v64int8 | ( |  | ) |

## ◆ undef_v64uint16()

v64uint16 undef_v64uint16 | ( |  | ) |

## ◆ undef_v64uint4()

v64uint4 undef_v64uint4 | ( |  | ) |

## ◆ undef_v64uint8()

v64uint8 undef_v64uint8 | ( |  | ) |

## ◆ undef_v8acc32()

v8acc32 undef_v8acc32 | ( |  | ) |

## ◆ undef_v8acc64()

v8acc64 undef_v8acc64 | ( |  | ) |

## ◆ undef_v8accfloat()

v8accfloat undef_v8accfloat | ( |  | ) |

## ◆ undef_v8bfloat16()

v8bfloat16 undef_v8bfloat16 | ( |  | ) |

## ◆ undef_v8cacc64()

v8cacc64 undef_v8cacc64 | ( |  | ) |

## ◆ undef_v8caccfloat()

v8caccfloat undef_v8caccfloat | ( |  | ) |

## ◆ undef_v8cbfloat16()

v8cbfloat16 undef_v8cbfloat16 | ( |  | ) |

## ◆ undef_v8cfloat()

v8cfloat undef_v8cfloat | ( |  | ) |

## ◆ undef_v8cint16()

v8cint16 undef_v8cint16 | ( |  | ) |

## ◆ undef_v8cint32()

v8cint32 undef_v8cint32 | ( |  | ) |

## ◆ undef_v8float()

v8float undef_v8float | ( |  | ) |

## ◆ undef_v8int16()

v8int16 undef_v8int16 | ( |  | ) |

## ◆ undef_v8int32()

v8int32 undef_v8int32 | ( |  | ) |

## ◆ undef_v8uint16()

v8uint16 undef_v8uint16 | ( |  | ) |

## ◆ undef_v8uint32()

v8uint32 undef_v8uint32 | ( |  | ) |